Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class PricingRequestImpl

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.service.PricingRequestImpl

All Implemented Interfaces:
  PricingRequest, Serializable

public class PricingRequestImpl
extends Object
implements PricingRequest

The PricingRequestImpl is used as input to the Price Service during a pricing operation. This class is not designed for concurrent use and may produce unpredicatable results if used concurrently.

See Also:
  `PriceService`, `PricingReply`, `PricingRequest`, Serialized Form

Constructor Summary
`PricingRequestImpl()`

Method Summary
`Serializable` | `getAttribute(String name)` Retrieves the value of a request attribute by name.
`Money` | `getBaseShipping()` Retreives the base shipping cost for the request.
`CustomerPk` | `getCustomerPK()` Retrieves the CustomerPk associated with this request.
`Calendar` | `getEffectiveDate()` The effective date is the date which the Price Service will use to determine whether a given discount is in effect.
`Line[]` | `getLines()` Retrieves the Line items for this pricing operation.
`Object` | `setAttribute(String name, Serializable value)` Sets the value of a request attribute by name.
`void` | `setBaseShipping(Money baseShippingCost)` Sets the base shipping cost for this request.
`void` | `setCustomerPK(CustomerPk customerPk)` Sets the customer associated with this request.
`void` | `setEffectiveDate(Calendar effectiveDate)` Sets the effective date for this pricig request.
`void` | `setLines(Line[] lines)` Sets the Line array for this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PricingRequestImpl

    public PricingRequestImpl()

Method Detail

### getCustomerPK

    public CustomerPk getCustomerPK()

  Retrieves the CustomerPk associated with this request. A null value indicates an anonymous customer.

  Specified by:
    `getCustomerPK` in interface `PricingRequest`
  Returns:
    a CustomerPk object.
  See Also:
    `CustomerPk`

### setCustomerPK

    public void setCustomerPK(CustomerPk customerPk)

  Sets the customer associated with this request. A null value indicates an anonymous customer.

  Parameters:
    `customerPk` - customer for this pricing operation

### getLines

    public Line[] getLines()

  Retrieves the Line items for this pricing operation.

  Specified by:
    `getLines` in interface `PricingRequest`
  Returns:
    an array of Line items.
  See Also:
    `Line`

### setLines

    public void setLines(Line[] lines)

  Sets the Line array for this request.

  Parameters:
    `lines` - an array of Line items for this pricing request.

### getBaseShipping

    public Money getBaseShipping()

  Retreives the base shipping cost for the request.

  Specified by:
    `getBaseShipping` in interface `PricingRequest`
  Returns:
    com.beasys.commerce.axiom.units.Money corresponding to the base shipping cost.
  See Also:
    `Money`

### setBaseShipping

    public void setBaseShipping(Money baseShippingCost)

  Sets the base shipping cost for this request.

  Parameters:
    `baseShippingCost` - the base shipping cost for this request.

### getAttribute

    public Serializable getAttribute(String name)

  Retrieves the value of a request attribute by name. The semantics of this method are the same as the get() method in the java.util.Map interface. Attributes allow for customization of the PricingRequest without modifying the interface.

  Specified by:
    `getAttribute` in interface `PricingRequest`
  Parameters:
    `name` - the name of a request attribute to get the value for.
  Returns:
    the value for the named request attribute.
  See Also:
    `Map`

### setAttribute

    public Object setAttribute(String name,
                               Serializable value)

  Sets the value of a request attribute by name. The semantics of this method are the same as the put() method in the java.util.Map interface. Attributes allow for customization of the PricingRequest without modifying the implementation.

  Parameters:
    `name` - the name of a request attribute to set the value for.
    `value` - the value for the specified attribute name.
  Returns:
    the previous value for the key or null if no previous value exists or the previous value was null.
  See Also:
    `Map`

### setEffectiveDate

    public void setEffectiveDate(Calendar effectiveDate)

  Sets the effective date for this pricig request. The effective date is the date which the Price Service will use to determine whether a given discount is in effect. more precisely if effective date is >= the discount start date and <= the discount end date the discount will be considered for application during the pricing operation. If this value is not set the Price Service will use the current date as obtained through the JVM.

  Parameters:
    `effectiveDate` - the effectiveDate for the pricing request.
  See Also:
    `Calendar`

### getEffectiveDate

    public Calendar getEffectiveDate()

  The effective date is the date which the Price Service will use to determine whether a given discount is in effect. more precisely if effective date is >= the discount start date and <= the discount end date the discount will be considered for application during the pricing operation. If this value is not set the Price Service will use the current date as obtained through the JVM.

  Specified by:
    `getEffectiveDate` in interface `PricingRequest`
  Returns:
    the Calendar object representing the effective date for the pricing operation.
  See Also:
    `Calendar`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved